# Assassin's Creed: The Ezio Collection - Assassin's Creed Revelations 1.3
# BID: 0AE4D1770B196094
# Scenes exclusively 2D are tied to framerate, so at 60 FPS they are 2x faster. 

DECLARATIONS:
  -
    type: variable
    name: dr_scale
    value_type: float
    default_value: 1000
    evaluate: "30000 / FPS_TARGET"
MASTER_WRITE:
# Patch code to divide last frametime by float scale factor
# To match it to Dynamic Resolution calculations
  -
    type: asm_a64
    main_offset: 0xAD51A0
    instructions: [
      [adrp, x8, $dr_scale],
      [ldr, s1, [x8, $dr_scale]]
    ]
